%global realname erlware_commons

Name:     erlang-%{realname}
Version:  1.6.0
Release:  %autorelease
Summary:  Extension to Erlang's standard library
License:  MIT
URL:      https://github.com/erlware/%{realname}
VCS:      scm:git:%{url}.git
Source0:  %{url}/archive/v%{version}/%{realname}-%{version}.tar.gz
# The "color" test does not play well with Fedora's build system
Patch1:   erlang-erlware_commons-0001-Disable-color-test.patch
Patch2:   erlang-erlware_commons-0002-Use-correct-version-instead-of-relying-to-git-one.patch
Patch3:   erlang-erlware_commons-0003-Disable-git-tests-in-Fedora-Koji.patch
BuildArch:     noarch
BuildRequires: erlang-rebar
BuildRequires: erlang-cf

%description
%{summary}.

%prep
%autosetup -p1 -n %{realname}-%{version}

%build
%{erlang_compile}

%install
%{erlang_install}
cp -arv priv/ %{buildroot}%{erlang_appdir}/

%check
%{erlang_test}

%files
%doc README.md
%{erlang_appdir}/

%changelog
%autochangelog
