%global srcname ezlib


Name:       erlang-%{srcname}
Version:    1.0.8
Release:    %autorelease
License:    Apache-2.0
Summary:    Native zlib driver for Erlang
URL:        https://github.com/processone/%{srcname}
VCS:        scm:git:%{url}.git
Source0:    %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz
Provides:   erlang-p1_zlib = %{version}-%{release}
Obsoletes:  erlang-p1_zlib <= 1.0.1-2
BuildRequires: gcc
BuildRequires: erlang-rebar
BuildRequires: zlib-devel


%description
A native zlib driver for Erlang / Elixir, used by ejabberd.


%prep
%autosetup -n ezlib-%{version}


%build
%configure --enable-nif
# There is a pull request upstream for this -lz https://github.com/processone/ezlib/pull/1
LDFLAGS="$LDFLAGS -lz" %{rebar_compile}


%check
%{rebar_eunit}


%install
install -d $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib

install -pm755 priv/lib/ezlib_drv.so \
    $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib/
%{erlang_install}


%files
%license LICENSE.txt
%doc CHANGELOG.md
%doc README.md
%{erlang_appdir}


%changelog
%autochangelog
