Name:           python-ZODB
Version:        6.0
Release:        %autorelease
Summary:        Zope Object Database and persistence

License:        ZPL-2.1
URL:            https://www.zodb.org/
VCS:            https://github.com/zopefoundation/ZODB
Source0:        %pypi_source ZODB
BuildArch:      noarch

BuildRequires:  make
BuildRequires:  python-BTrees-doc
BuildRequires:  python3-devel
BuildRequires:  python3-docs
BuildRequires:  python3-persistent-devel
BuildRequires:  python3-persistent-doc

%global common_desc                                                \
The ZODB package provides a set of tools for using the Zope Object \
Database (ZODB).

%description
%{common_desc}

%package -n python3-ZODB
Summary:        Zope Object Database and persistence

%description -n python3-ZODB
%{common_desc}

%package doc
# The content is ZPL-2.1.  Other licenses are due to files copied in by Sphinx.
# _static/_sphinx_javascript_frameworks_compat.js: BSD-2-Clause
# _static/basic.css: BSD-2-Clause
# _static/css: MIT
# _static/doctools.js: BSD-2-Clause
# _static/documentation_options.js: BSD-2-Clause
# _static/file.png: BSD-2-Clause
# _static/jquery*.js: MIT
# _static/js: MIT
# _static/language_data.js: BSD-2-Clause
# _static/minus.png: BSD-2-Clause
# _static/plus.png: BSD-2-Clause
# _static/searchtools.js: BSD-2-Clause
# _static/underscore*.js: MIT
# genindex.html: BSD-2-Clause
# search.html: BSD-2-Clause
# searchindex.js: BSD-2-Clause
License:        ZPL-2.1 AND BSD-2-Clause AND MIT
Summary:        Documentation for ZODB

%description doc
Documentation for ZODB.

%prep
%autosetup -n ZODB-%{version}

# Use local objects.inv for intersphinx
sed -e "s|\('https://docs\.python\.org/3/', \)None|\1'%{_docdir}/python3-docs/html/objects.inv'|" \
    -e "s|\('https://persistent\.readthedocs\.io/en/latest/', \)None|\1'%{_docdir}/python3-persistent-doc/objects.inv'|" \
    -e "s|\(\"https://btrees\.readthedocs\.io/en/latest/\", \)None|\1'%{_docdir}/python-BTrees-doc/objects.inv'|" \
    -i docs/conf.py

# Fix shebangs
%py3_shebang_fix src/ZODB/scripts

# Permit building with sphinx 7.x
sed -i 's/, < 7//' docs/requirements.txt
sed -i 's/ < 7//' setup.py
sed -i 's/<7//' PKG-INFO

%generate_buildrequires
%pyproject_buildrequires -t -x test,docs

%build
%pyproject_wheel

# Build the documentation
cp -p docs/.static/zodb.ico doc
make -C docs html SPHINXBUILD=%{_bindir}/sphinx-build PYTHONPATH=$PWD/src
rm docs/build/html/.buildinfo
rst2html --no-datestamp CHANGES.rst CHANGES.html

%install
%pyproject_install
%pyproject_save_files ZODB

%check
export PYTHONPATH=$PWD/src
%tox

%files -n python3-ZODB -f %{pyproject_files}
%doc CHANGES.html
%{_bindir}/fsdump
%{_bindir}/fsoids
%{_bindir}/fsrefs
%{_bindir}/fstail
%{_bindir}/repozo

%files doc
%doc docs/build/html

%changelog
%autochangelog
